xmin=2
xmax=3.3
ymin=0
ymax=30
ngrid=101

set xr [xmin:xmax]
set yr [ymin:ymax]
set title "secular resonances by Milani and Knezevic (1997)"
set xlabel "semimajor axis a [AU]"
set ylabel "inclination i [deg]"
set key 2.3,28

set term x11
set out
p "d10_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "g+s-g6-s6" w lines,\
  "d13_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "g-2g6+g5" w lines,\
  "d46_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "s-s6-g5+g6" w lines,\
  "d2_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "nu6" w lines,\
  "z2_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "z2" w lines,\
  "z3_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "z3" w lines,\
  "d61_cntr.dat" u ($1/ngrid*(xmax-xmin)+xmin):(ymax-$2/ngrid*(ymax-ymin)) title "g-3g6+2g5" w lines
pause -1

set term postscript eps 15
set out "secres_bw.eps"
rep

set term postscript eps color 15
set out "secres.eps"
rep

set term gif
set out "secres.gif"
rep

